commit:     58e7aa028862014e5f92ef48339b3cab59565c39
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  3 10:35:56 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jan  3 10:39:55 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58e7aa02

dev-libs/popt: pass -Wl,--undefined-version for other linkers if supported

Revbump as it's a library.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/popt/popt-1.19-r1.ebuild | 47 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/dev-libs/popt/popt-1.19-r1.ebuild 
b/dev-libs/popt/popt-1.19-r1.ebuild
new file mode 100644
index 000000000000..58a87653a6e5
--- /dev/null
+++ b/dev-libs/popt/popt-1.19-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic multilib-minimal libtool
+
+DESCRIPTION="Parse Options - Command line parser"
+HOMEPAGE="https://github.com/rpm-software-management/popt";
+SRC_URI="http://ftp.rpm.org/${PN}/releases/${PN}-1.x/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+IUSE="nls static-libs"
+
+RDEPEND="nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}"
+BDEPEND="nls? ( >=sys-devel/gettext-0.19.8 )"
+
+src_prepare() {
+       default
+
+       # Unclear what the background to this is, perhaps
+       # 
https://gitlab.exherbo.org/exherbo/arbor/-/commit/5545d22d3493279acf7a55246179f818ef22f5fa
+       sed -i -e 's:lt-test1:test1:' tests/testit.sh || die
+
+       elibtoolize
+}
+
+multilib_src_configure() {
+       append-ldflags $(test-flags-CCLD -Wl,--undefined-version)
+
+       local myeconfargs=(
+               --disable-werror
+               $(use_enable static-libs static)
+               $(use_enable nls)
+       )
+
+       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       find "${ED}" -type f -name "*.la" -delete || die
+}

Reply via email to